using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models;

[Comment("后台 - QC质控问题（需要同步）")]
[Table("QCQuestion")]
public class QCQuestion : BaseFullAuditEntity
{
    #region 导航属性

    [JsonIgnore]
    [ForeignKey("ParentId")]
    public QCQuestion ParentQuestion { get; set; }
    #endregion

    public string QuestionName { get; set; } = string.Empty;
    [Comment("语言类型")]
    public LanguageType LanguageType { get; set; } = LanguageType.Chinese;
    public bool IsRequired { get; set; }

    public bool IsEnable { get; set; }

    [Comment("下拉框、文本、单选、多选")]
    public string Type { get; set; } = string.Empty;

    public string TypeValue { get; set; } = string.Empty;

    public string ParentTriggerValue { get; set; } = string.Empty;
    public Guid? ParentId { get; set; }
    public int ShowOrder { get; set; }
}
